Bug 193079 - tail +2 doesn't work like it does under FC4
tail +2 doesn't work like it does under FC4
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-24 20:09 EDT by Jason Haar
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-25 04:56:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jason Haar 2006-05-24 20:09:53 EDT
Description of problem:

coreutils-5.93-7.2 contains tail-5.93, and the man page states that "tail +N" 
should still be a valid command. But it doesn't work anymore (like on older
systems). "tail --lines=+2" does work - but "tail +2" doesn't

Version-Release number of selected component (if applicable):


How reproducible:

everytime

Steps to Reproduce:
1. tail +2
2.
3.
  
Actual results:
tail: cannot open `+2' for reading: No such file or directory

Expected results:

to see all of the file except for the first two lines

Additional info:
Comment 1 Hann-Huei Chiou 2006-05-24 21:39:55 EDT
Read the online version of the Release Notes
(http://fedora.redhat.com/docs/release-notes/fc5/#id2947041).
You can have the old behavior by setting _POSIX2_VERSION=199209 in your environment
Comment 2 Tim Waugh 2006-05-25 04:56:06 EDT
Alternatively, use the current syntax: tail -n +2

Note You need to log in before you can comment on or make changes to this bug.